Subject: RE: "LINES" environment variable
From: "Scott Prive" <[email-masked]>
To: "Stephano Mariani" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 11 Feb 2002 14:35:42 -0500

Stephano,

Sorry I do not have a ready answer, but I can give you some test ideas that will help isolate your problem some. This will help if you have a "personal" problem with your PC, or you need to file a defect report.

Someone suggested you set your Command Prompt window size. Did you try anything here yet? 

If I recall, the MS "DOS Prompt" is sized to 24 or 25 lines. Maybe this is picked up somewhere and overrided your setting? The Cygwin shell (I presume) "uses" the Microsoft command prompt window. In the Properties for your Cygwin shell, resize the lines to be 50. Then try running your app in *this* Window.

Remember, if you change an environment variable, it is only visible for NEW child processes. So, to see it everywhere you must exit out of all your open shells, and re-open them.

Test if "other" NT variables can be picked up in Cygwin, and are not overwritten. I  recall a case where my USER variable was  overwritten (I wanted mine to be "root", not "Administrator") but I did not pursue this problem. Cygwin did not overwrite my "HOME" variable however, so there must be some special cases.

If you are wondering how other shells and subshells handle this, I would suggest creating a small nested shell script to test this. You might discover something useful for a bug report -- or you may find a livable workaround.

Sorry I can't help more... I don't know much about innards of Cygwin and WinNT. I'm more of a Linux guy, and I like how Cygwin brings a bit of civility to an otherwise barbaric Windows platform. ;-)

-Scott

-----Original Message-----
From: Stephano Mariani [mailto:[email-masked]]
Sent: Monday, February 11, 2002 2:15 PM
To: Scott Prive
Cc: [email-masked]
Subject: RE: "LINES" environment variable
Importance: High

I have tried everything, but some hard-coded value must exist.
The only way it seems to work is when I explicitly execute an export.
I can do this using bash easily, but what about ash (/bin/sh) or any
other cygwin program (perhaps ones started outside of bash).

TIA
Stephano Mariani

-----Original Message-----
From: Scott Prive [mailto:[email-masked]] 
Sent: Monday, 11 February 2002 2 54
To: Stephano Mariani
Subject: RE: "LINES" environment variable

I'm curious as to why Cygwin isn't pickup your NT environment variable,
but you can export this variable from your ~/.bash_profile (if you don't
mind it being picked up for everything you might run from the shell).

-----Original Message-----
From: Stephano Mariani [mailto:[email-masked]]
Sent: Thursday, February 07, 2002 6:39 PM
To: [email-masked]
Subject: "LINES" environment variable
Importance: High

Where can I override the LINES environment variable? I need to run some
programs that use this value to determine the display characteristics.

I have set it to 50 in the system environment in windows, but echo
$LINES says 25.

Stephano Mariani

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/